Badger::Data::Facet::Text::MinLength(3pm)

NAME
Badger::Data::Facet::Text::MinLength - validation facet for text length

DESCRIPTION
This module implements a validation facets that checks the length of a text value to assert that it is equal to or above a pre-defined length.

METHODS
This module implement the following method in addition to those inherited from the Badger::Data::Facet::Text, Badger::Data::Facet and Badger::Base base classes.

  validate($text_ref, $type)
This method validates that the length (i.e. number of characters) of the text passed by reference as the first argument is greater than or equal to the pre-defined minimum limit.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2001-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet, Badger::Data::Facet::Text.